Writing to a file or standard output
Input / Output

This group of functions is for writing an object to a file or standard output. More...

## Functions

void | epr_print_record (const EPR_SRecord *record, FILE *ostream)
void | epr_print_field (const EPR_SField *field, FILE *ostream)
void | epr_print_element (const EPR_SRecord *record, uint field_index, uint element_index, FILE *ostream)
void | epr_dump_record (const EPR_SRecord *record)
void | epr_dump_field (const EPR_SField *field)
void | epr_dump_element (const EPR_SRecord *record, uint field_index, uint element_index)

## Detailed Description

This group of functions is for writing an object to a file or standard output.

An object can be:

- record
- field
- field element

If `FILE* istream` is given, the ASCII file will be outputted, else printed to standard output device.

In case record and/or field:

Parameters

  record | the record, must not be `NULL`
  field | the field, must not be `NULL`

In case field element:

Parameters

  record | the record, must not be `NULL`
  field_index | the index of field in the given record
  element_index | the index of element in the given field
  ostream | the identifier of the output file.

## Function Documentation

## epr_print_record()

void epr_print_record | ( | const EPR_SRecord * | record,
|  | FILE * | ostream )

## epr_print_field()

void epr_print_field | ( | const EPR_SField * | field,
|  | FILE * | ostream )

## epr_print_element()

void epr_print_element | ( | const EPR_SRecord * | record,
|  | uint | field_index,
|  | uint | element_index,
|  | FILE * | ostream )

## epr_dump_record()

void epr_dump_record | ( | const EPR_SRecord * | record | ) |

## epr_dump_field()

void epr_dump_field | ( | const EPR_SField * | field | ) |

## epr_dump_element()

void epr_dump_element | ( | const EPR_SRecord * | record,
|  | uint | field_index,
|  | uint | element_index )